/****************************************************
 * PACKAGE INSTALLATION SCRIPT (Created 2002-2003)        
 *                                                   
 * Contributors:                                     
 *  Stephen Bounds <GuruJ@mbox.com.au>               
 *  Biju G C <bijumaillist@yahoo.com>
 *                                                   
 ****************************************************/

// 1. Set parameters of package installation
var __pkg_name  = "Preferential";
var __prog_name = "preferential";
var __version   = "0.5.3";
var __author    = "GuruJ";
var __locale    = "en-US";


// 2. Initialise package
var err = initInstall(__pkg_name, "/" + __author + "/" + __pkg_name, __version);

// Get package directories
var __chrome   = getFolder("Chrome","");
var __package  = getFolder("Chrome","preferential.jar");

// Check where to install

var jarName             = "preferential.jar";
var flagLocation        = PROFILE_CHROME;
var folder              = getFolder("Current User", "chrome");
var existsInApplication = File.exists(getFolder(getFolder("Chrome"), jarName));
var existsInProfile     = File.exists(getFolder(folder, jarName));
var msgLocationChk      = "Select Install Location: for " + __pkg_name   
                        + "Do you want to install the extension into your profile folder?\n"
                        + "  Click [OK] to install in your Personal Profile folder;\n"
                        + "  Click [Cancel] to install into the Application folder."

// If this is first install of Preferential, ask where XPI should be installed
if(existsInApplication || (!existsInProfile && !confirm(msgLocationChk)))
{
  flagLocation = DELAYED_CHROME;
  folder       = getFolder("Chrome");
}


// 3. Flag files/folders to be added
//addFile("", __prog_name + ".jar", __chrome, "");

// Add jar to appropriate directory
addFile(__pkg_name, jarName, folder, "");


// 4. Register chrome (this is what contents.rdf is used for)
__package = getFolder(folder, jarName)

registerChrome(CONTENT | flagLocation, __package, "content/");
registerChrome(LOCALE  | flagLocation, __package, "locale/" + __locale + "/" + __prog_name + "/");


// 5. Perform the installation
err = performInstall();


// 6. Report on success or otherwise  
if ( err == SUCCESS || err == "999" ) {
   refreshPlugins();
   alert("Preferential has been installed. \n You must exit quick launch and restart your browser/application to continue.");
}
else { 
   alert("Install failed. \nError code:" + err);
   cancelInstall(err);
}